 /*
 *  AudioFileArray.h
 *  AudioUIdemo
 *
 *	Code and Sound Design by Peter "pdx" Drescher.
 *  Copyright 2010 twittering machine. All rights reserved.
 *
 */

#import <Cocoa/Cocoa.h>

@interface AudioFileArray : NSObject
{
	NSMutableArray  *tSounds;
	NSSound			*initClearSound;
	NSSound			*alertSound1;
	NSSound			*alertSound2;
}

- (id)loadAudioArray:(NSString *)audioFilePrefix;
- (void)playSoundAt:(int)arrayPos;
- (void)playAlertSound:(int)alertType;
- (void)playClearSound;

@end
